


//***************************************************************************************************************************************
// Definition des Bits et Constantes
//***************************************************************************************************************************************

// Concernant la Conversion AN
	#define		CorrectionAlim15Def		10000	//10124
	#define		CorrectionAccu4Def		10000	//10079
	#define		CorrectionAccu3Def		10000	//10121
	#define		CorrectionAccu2Def		10000	//10069
	#define		CorrectionAccu1Def		10000	//10145
	#define		CorrectionCourantDef	10000

	#define		CoefAmplificateurDef	4096	
	#define		CoefMoyenneurDef		256
	
	#define		OffsetChargeDef			2560		// 2560 correspond a 10 mV = CoefAmplificateurDef*10/16
	#define		OffsetChargeEltDef		2560		// 2560 correspond a 10 mV : 2560 = CoefAmplificateurDef*10/16
	
	#define		CoefCorrecteur			1
	

	#define		VoieMesAccu1			1
	#define		VoieMesAccu2			2
	#define		VoieMesAccu3			4
	#define		VoieMesAccu4			0
	#define		VoieMesVAlim15V			9
	#define		VoieMesCourant			8
	#define		VoieMesTempAccu			10
	
	#define 	NbMaxiConvAN			7
	
	#define 	NbAcqPourMoySignal		16
	#define 	DivisionPourMoy			3
	
// Concernant la sauvegarde en EEPROM
	#define		AdrAlim15H				0x00
	#define		AdrAlim15B				0x01
	#define		AdrAccu3H				0x02
	#define		AdrAccu3B				0x03
	#define		AdrAccu2H				0x04
	#define		AdrAccu2B				0x05
	#define		AdrAccu1H				0x06
	#define		AdrAccu1B				0x07
	#define		AdrAccu4H				0x08
	#define		AdrAccu4B				0x09
	#define		AdrCourantH				0x0a
	#define		AdrCourantB				0x0b




// Concernant la commande pour passer en charge ou decharge
	#define		SensCharge				TRISBbits.TRISB4 
	#define		Charge					LATBbits.LATB4  
	
	
// Concernant la commande des Leds
	#define		SensLedVerte			TRISCbits.TRISC0
	#define		LedVerte				PORTCbits.RC0

	#define		SensLedRouge			TRISCbits.TRISC1
	#define		LedRouge				LATCbits.LATC1
//***************************************************************************************************************************************




	#include 	"../h/p18cxxxM.h"		// Fichier contenant toutes les definitions des bits et registres du microcontroleur
	#include	"../h/Entete.h"
	#include	"../h/Var.h"
	#include 	"..\USB\UsbH\usb0.h" 
	#include 	"..\USB\UsbH\usb6.h"


