//*****************************************************************************************
// Declaration des Entetes et variables
//*****************************************************************************************
	#include	"../h/Main.h"
//*****************************************************************************************



	



//**********************************************************************************
// Initialisation du module USART pour protocole RS232 en transmission
//**********************************************************************************
void RS232InitTransmission(void)
{
	RCSTAbits.SPEN 		= 1;			// ?
	
	TXSTAbits.TX9 		= 0;			// ?
	TXSTAbits.TXEN 		= 1;			// ?
	
	PIR1bits.TXIF 		= 0;			// ?
	IPR1bits.TXIP	 	= 0;			// ?
	PIE1bits.TXIE 		= 0;			// ?
}
//**********************************************************************************






//**********************************************************************************
// Initialisation du module USART pour protocole RS232 en reception
//**********************************************************************************
void RS232InitReception(void)
{
	RCSTAbits.SPEN 		= 1;			// ?
	RCSTAbits.RX9 		= 0;			// ?
	RCSTAbits.CREN 		= 1;			// ?
	BAUDCTLbits.ABDEN	= 0;			// ?
	
	PIR1bits.RCIF 		= 0;			// ?
	IPR1bits.RCIP 		= 0;			// ?
	PIE1bits.RCIE 		= 0;			// ?
}
//**********************************************************************************





//**********************************************************************************
// Initialisation de la vitesse de tramission du module USART pour protocole RS232
//**********************************************************************************
void RS232InitBaud(void)
{
	TXSTAbits.SYNC 		= 0;			// Mode Asynchrone
	TXSTAbits.BRGH 		= 0;			// Vitesse de transmission
	BAUDCTLbits.BRG16	= 1;			// Mode 8 bits
	
	SPBRGH 				= 0x04;			// 0x04 2400 bauds avec Fosc = 40 MHz et BRGH = 0 et BRG16 = 0
	SPBRG 				= 0x11;			// 0x11 2400 bauds avec Fosc = 40 MHz et BRGH = 0 et BRG16 = 0
}
//**********************************************************************************






//**********************************************************************************
// Initialisation du module USART pour protocole RS232
//**********************************************************************************
void RS232Init(void)
{
	static unsigned char i;
	
	RS232InitBaud();
	RS232InitTransmission();
}
//**********************************************************************************





//**********************************************************************************
// Conversion de l'hexa en decimal
//**********************************************************************************
void ConversionHexaDecimal(unsigned int Hexa)
{
	static unsigned int d, r, q;
	
	d = Hexa;
	
	q = d / 10;
	r = d - q * 10;
	HexaDecimal[3] = r;
	d = q;
	
	q = d / 10;
	r = d - q * 10;
	HexaDecimal[2] = r;
	d = q;
	
	q = d / 10;
	r = d - q * 10;
	HexaDecimal[1] = r;
	
	HexaDecimal[0] = q;
}
//**********************************************************************************




