//*****************************************************************************************
// Declaration des Entetes et variables
//Contrat 2
//radio tlmtrie
//*****************************************************************************************
	#include	"../Radio/RadioMain.h"
//*****************************************************************************************




//**********************************************************************************
// Initialisation de la Telemetrie
//**********************************************************************************
void RadioTelemetrieInit(void)
{
	PageTelemetrie		= 1;		// Initialisation pour 1ere page pour LCD
	
	RadioRS232InitReception();		// Config en mode reception
}
//**********************************************************************************






//**********************************************************************************
// Decodage des caracteres recu par la Telemetrie
//**********************************************************************************
void RadioTelemetrieDecode(void)
{
	static unsigned char	Caractere;
	
	Caractere 		= CaracRecu & 0xF0;
	
	switch(Caractere)
	{
		case 0x20:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			TensionBat[1] 	= CaracRecu + 0x30;
			break;
		}
		
		case 0x30:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			TensionBat[2] 	= CaracRecu + 0x30;
			break;
		}
		
		case 0x40:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			TensionBat[3] 	= CaracRecu + 0x30;
			break;
		}
		
		case 0x50:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			Imot[1] 		= CaracRecu + 0x30;
			break;
		}
		
		case 0x60:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			Imot[2] 		= CaracRecu + 0x30;
			break;
		}
		
		case 0x70:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			Imot[3] 		= CaracRecu + 0x30;
			break;
		}
		
		case 0x80:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			TempMos1[1]		= CaracRecu + 0x30;
			break;
		}
		
		case 0x90:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			TempMos1[2]		= CaracRecu + 0x30;
			break;
		}
		
		case 0xA0:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			TempMos1[3]		= CaracRecu + 0x30;
			break;
		}
		
		case 0xB0:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			TempMos2[1]		= CaracRecu + 0x30;
			break;
		}
		
		case 0xC0:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			TempMos2[2]		= CaracRecu + 0x30;
			break;
		}
		
		case 0xD0:
		{
			CaracRecu 		= CaracRecu & 0x0F;
			TempMos2[3]		= CaracRecu + 0x30;
			break;
		}
		
		default:
		{
			break;
		}
	}
}
//**********************************************************************************





