//**********************************************************************************************
// 	Date : 19 Decembre 2006
// 	Prog : Gnrer le signal PPM  l'aide du PC 
//		   par l'intermdiaire de la Carte Interface PC
// 		   Ce programme doit etre charge dans la carte Interface PC
//**********************************************************************************************




//*****************************************************************************************
// Declaration des Entetes et variables
//*****************************************************************************************
	#include	"../h/Main.h"
//*****************************************************************************************






//**********************************************************************************************
// Programme principal
//**********************************************************************************************
void Principal(void)
{
    static unsigned char InputBuffer[8];
    static unsigned char Tampon;
	
	// Test de reception d'octet
    if(getsUSBUSART(InputBuffer,4) != 0)	// Teste si le buffer de Recept est vide
    {
		if(InputBuffer[0] == 0xFF)			// Reception de l'octet d'identification
	    {
			RxBuffer[0] 	= 'T';
			RxBuffer[1] 	= 'R';
			RxBuffer[2] 	= 'A';
			RxBuffer[3] 	= 'I';
			RxBuffer[4] 	= 'N';
			RxBuffer[5] 	= 0x00;
			EnvoiData 		= 1;
		}
		
		if(InputBuffer[0] == 0x10)			// Changement de la periode du PPM
	    {
			PeriodePpm		= InputBuffer[1];
			PeriodePpm		= PeriodePpm << 8;
			Tampon			= InputBuffer[2];
			PeriodePpm		= PeriodePpm + Tampon;
			RxBuffer[0] 	= 'O';
			RxBuffer[1] 	= 'K';
			RxBuffer[2] 	= 0x00;
			EnvoiData 		= 1;
		}
		
		InputBuffer[0] 		= 0x00;
	}
		 
	if(EnvoiData == 1)
	{
		if(mUSBUSARTIsTxTrfReady())
		{
			putsUSBUSART(RxBuffer);
			EnvoiData = 0;
		}
	}
}
//**********************************************************************************************


