/******************************************************************************
* PIC USB
* interrupt.c
******************************************************************************/

//*****************************************************************************************
// Declaration des Entetes et variables
//*****************************************************************************************
	#include	"../h/Main.h"
//*****************************************************************************************






//**********************************************************************************************
/** D E C L A R A T I O N S ********************************************************************
/***********************************************************************************************
 * Function:        void high_isr(void)
 * PreCondition:    None
 * Input:
 * Output:
 * Side Effects:
 * Overview:
 *****************************************************************************/
#pragma interrupt high_isr
void high_isr(void)
{
}

/******************************************************************************
 * Function:        void low_isr(void)
 * PreCondition:    None
 * Input:
 * Output:
 * Side Effects:
 * Overview:
 *****************************************************************************/
#pragma interruptlow low_isr
void low_isr(void)
{
	static int Periode;
	
	if(PIR1bits.CCP1IF == 1)
	{
		CCPR1H				= PeriodeCompH;
		CCPR1L				= PeriodeCompL;
		
		if(NumPeriodePpm == 0)
		{
			SignalPpm		= 1;
			NumPeriodePpm 	= 1;
			Periode			= (PeriodeTotalePpm - PeriodePpm);
			PeriodeCompH	= Periode >> 8;
			PeriodeCompL	= Periode & 0x00FF;
		}
		else
		{
			SignalPpm		= 0;
			NumPeriodePpm 	= 0;
			PeriodeCompH	= PeriodePpm >> 8;
			PeriodeCompL	= PeriodePpm & 0x00FF;
		} 
		
		PIR1bits.CCP1IF		= 0;
	}
}
#pragma code

/** EOF interrupt.c **********************************************************/
