
//******************************************************************************
// Dclaraton des entetes
//******************************************************************************
	#include	"../h/Main.h"
//******************************************************************************











//******************************************************************************
// Interruption PRIORITAIRE
//******************************************************************************
#pragma interrupt high_isr
void high_isr(void)
{
	if(INTCONbits.TMR0IF == 1)
	{
		TMR0H	= 0x15;					// 0x15a0 Ralisation des 5 ms avec predivision par 1
		TMR0L	= 0xa0;					// 0x15a0 Ralisation des 160 ms avec predivision par 32
										
		NumAcquisition = 1;
		CptNbAcquisition = CptNbAcquisition + 1;
		
		if(AutoriseLed == 0)
		{
			CompteurTemps++;
			
			if(CompteurTemps > 1)
			{
				if(CptLedRouge < CompteurLedMax)
				{
					LedRouge = !LedRouge;
					LedVerte = 0;
					CptLedRouge++;
				}
				else
				{
					if(CptLedVerte < CompteurLedMax)
					{
						LedVerte = !LedVerte;
						LedRouge = 0;
						CptLedVerte++;
					}
					else
					{
						CptLedRouge = 0;
						CptLedVerte = 0;
					}
				}
				
				CompteurTemps = 0;
			}
		}
		
		INTCONbits.TMR0IF = 0;			// Init du bit de depassement pour la prochaine conversion
	}
}
//******************************************************************************










//******************************************************************************
// Interruption PRIORITAIRE
//******************************************************************************
#pragma interruptlow low_isr
void low_isr(void)
{
}
#pragma code
//******************************************************************************




