//***************************************************************
// DECLARATION DES PROTOTYPES
//***************************************************************

	// dclaration de focntion dans fichier : Main2550.c
	void USBTasks(void);
	
	
	// dclaration de focntion dans fichier : Interrupt.c
	void high_isr(void);
	void low_isr(void);


	// dclaration de focntion dans fichier : Main.c
	void InitVariableCorrection(void);
	void AcquisitionNumerique(void);
	void InitGeneral(void);
	
	
	// dclaration de focntion dans fichier : BatCalcule.c
	void CalculTensionAccu(void);
	void SauvegardeTensionAccu(void);
	void ChercheAccuCharge(void);


	// dclaration de focntion dans fichier : PortUSB.c
	void LecturePortUSB(void);
	void LectureRegistres(void);
	void SauvegardeEnEeprom(unsigned char Valeur[8]);
	void LectureEnEeprom(void);
	void LectureCoefficient(void);
	
	// dclaration de fonction dans fichier : BatPort.c
	void BatPort(void);


	// dclaration de fonction dans fichier : BatAdc.c
	void BatInitAdc(void);
	void BatCalculeCourantMax(void);
	void BatSelectionVoieAdc(unsigned char Voie);
	unsigned int ConversionAdc(void);
	unsigned int BatCorrigeConversion(unsigned int Correction);
	void AcquisitionTension(void);
	void BatSauvegardeConvPourUSB(unsigned long TensionAconvertir);


	// dclaration de fonction dans fichier : BatFiltrageNum.c
	void BatInitVariableFiltrage(void);
	unsigned long BatValeurMoyenne(unsigned long MoyPrecAmpli, unsigned long ValeurAmpli);
	void FiltrageEtSauvegarde(void);
	

	// dclaration de fonction dans fichier : BatPwm.c
	void BatInitPwm(void);
	void BatChangePwm(unsigned long ValeurPwm);


	// dclaration de fonction dans fichier : BatTimer.c
	void BatInitTimer0(void);
	void BatInitTimer1(void);
	void BatInitTimer2(void);
	void BatInitTimer3(void);
	
//***************************************************************
