//***************************************************************
// DECLARATION DES PROTOTYPES
//***************************************************************

	// dclaration de focntion dans fichier : Main2550.c
	void USBTasks(void);
	
	
	// dclaration de focntion dans fichier : Interrupt.c
	void high_isr(void);
	void low_isr(void);
	void CalculTensionAccu(void);
	void SauvegardeTensionAccu(void);
	void ChercheAccuCharge(void);


	// dclaration de focntion dans fichier : Main.c
	void AcquisitionNumerique(void);
	void InitGeneral(void);
	
	
	// dclaration de focntion dans fichier : PortUSB.c
	void LecturePortUSB(void);
	void LectureRegistres(void);
	void SauvegardeEnEeprom(unsigned char Valeur[8]);
	void LectureEnEeprom(void);
	void LectureCoefficient(void);
	void LectureCoefAmpli(void);
	
	// dclaration de fonction dans fichier : BatPort.c
	void BatPort(void);


	// dclaration de fonction dans fichier : BatAdc.c
	void BatInitAdc(void);
	void BatCalculeCourantMax(void);
	void BatSelectionVoieAdc(unsigned char Voie);
	unsigned int ConversionAdc(void);
	unsigned int BatCorrigeConversion(unsigned int Correction);
	void AcquisitionTension(void);
	void BatSauvegardeConvPourUSB(unsigned long TensionAconvertir);


	// dclaration de fonction dans fichier : BatFiltrageNum.c
	void BatInitVariableFiltrage(void);
	void BatInitCoefFiltrage(void);
	void FiltrageEtSauvegarde(void);
	

	// dclaration de fonction dans fichier : BatMoyenne.c
	unsigned long BatValeurMoyenne1(unsigned long MoyPrecAmpli, unsigned long ValeurAmpli);
	unsigned long BatValeurMoyenne2(unsigned long MoyPrecAmpli, unsigned long ValeurAmpli);
	unsigned long BatValeurMoyenne3(unsigned long MoyPrecAmpli, unsigned long ValeurAmpli);
	unsigned long BatValeurMoyenne4(unsigned long MoyPrecAmpli, unsigned long ValeurAmpli);
	unsigned long BatValeurMoyenne5(unsigned long MoyPrecAmpli, unsigned long ValeurAmpli);
	unsigned long BatValeurMoyenne6(unsigned long MoyPrecAmpli, unsigned long ValeurAmpli);
	unsigned long BatValeurMoyenne7(unsigned long MoyPrecAmpli, unsigned long ValeurAmpli);


	// dclaration de fonction dans fichier : BatEeprom.c
	void Ecrit_EEPROM(unsigned char Adr_EEPROM, unsigned char Data_EEPROM);
	unsigned char Lit_EEPROM(unsigned char Adr_EEPROM);
	void InitVariableEeprom(void);


	// dclaration de fonction dans fichier : BatPwm.c
	void BatInitPwm(void);
	void BatChangePwm(unsigned long ValeurPwm);


	// dclaration de fonction dans fichier : BatTimer.c
	void BatInitTimer0(void);
	void BatInitTimer1(void);
	void BatInitTimer2(void);
	void BatInitTimer3(void);
	
//***************************************************************
