//*****************************************************************************************
// Declaration des Entetes et variables
//*****************************************************************************************
	#include	"../h/p18f1320.h"
	#include	"../h/Entete.h"
	#include	"../h/Var.h"
//*****************************************************************************************



//*****************************************************************************************
// Dfinition des constantes et Attribution de noms aux signaux
//*****************************************************************************************
	
	// Definition des temps limites pour le signal PPM
	#define 	PositionAJ1Neutre		512
	#define		Hysteresis				30
	
	// Limitation de la Vitesse de la voiture
	#define		CoefReducVitesse		1
	

	// Bit P1A
	#define 	P1A					LATBbits.LATB3
	#define 	SensP1A				TRISBbits.TRISB3

	// Bit P1B
	#define 	P1B					LATBbits.LATB2
	#define 	SensP1B				TRISBbits.TRISB2

	// Bit P1C
	#define 	P1C					LATBbits.LATB6
	#define 	SensP1C				TRISBbits.TRISB6

	// Bit P1D
	#define 	P1D					LATBbits.LATB7
	#define 	SensP1D				TRISBbits.TRISB7


//*****************************************************************************************
