//*****************************************************************************************
// Declaration des Entetes et variables
//Contrat 2
//Radio affich LCD
//*****************************************************************************************
	#include	"../Radio/RadioMain.h"
//*****************************************************************************************




//**********************************************************************************
// Texte ecrit dans la memoire Flash du Microcontroleur
//**********************************************************************************
rom const char T0[NbCaracAffich + 1] 	= 	"                    ";

// PAGE 1
rom const char T1[NbCaracAffich + 1] 	= 	"     BAC 2008       ";
rom const char T2[NbCaracAffich + 1] 	= 	"Vitesse   :         ";
rom const char T3[NbCaracAffich + 1] 	= 	"Direction :         ";
rom const char T4[NbCaracAffich + 1] 	= 	"Rapport   :      1/9";

// PAGE 2
rom const char T5[NbCaracAffich + 1] 	= 	"INVERSION DIRECTION ";
rom const char T6[NbCaracAffich + 1] 	= 	"                    ";
rom const char T7[NbCaracAffich + 1] 	= 	"SENS :   DIRECT     ";
rom const char T8[NbCaracAffich + 1] 	= 	"                 2/9";
rom const char T9[NbCaracAffich + 1] 	= 	"SENS :   INVERSE    ";

// PAGE 3
rom const char T10[NbCaracAffich + 1] 	= 	"INVERSION VITESSE   ";
rom const char T11[NbCaracAffich + 1] 	= 	"                    ";
rom const char T12[NbCaracAffich + 1] 	= 	"SENS :   DIRECT     ";
rom const char T13[NbCaracAffich + 1] 	= 	"                 3/9";
rom const char T14[NbCaracAffich + 1] 	= 	"SENS :   INVERSE    ";

// PAGE 4
rom const char T15[NbCaracAffich + 1] 	= 	"  TYPE IMPULSION    ";
rom const char T16[NbCaracAffich + 1] 	= 	"                    ";
rom const char T17[NbCaracAffich + 1] 	= 	"SENS :  POSITIF     ";
rom const char T18[NbCaracAffich + 1] 	= 	"                 4/9";
rom const char T19[NbCaracAffich + 1] 	= 	"SENS :  NEGATIF     ";

// PAGE 5
rom const char T20[NbCaracAffich + 1] 	= 	"    TENSION BAT     ";
rom const char T21[NbCaracAffich + 1] 	= 	"   RADIOCOMMANDE    ";
rom const char T22[NbCaracAffich + 1] 	= 	"Vbat =       V      ";
rom const char T23[NbCaracAffich + 1] 	= 	"                 5/9";

// PAGE 6
rom const char T24[NbCaracAffich + 1] 	= 	" REGLAGE HYSTERESIS ";
rom const char T25[NbCaracAffich + 1] 	= 	"     DIRECTION      ";
rom const char T26[NbCaracAffich + 1] 	= 	"Gauche =        3/4 ";
rom const char T27[NbCaracAffich + 1] 	= 	"                 6/9";
rom const char T31[NbCaracAffich + 1] 	= 	"         Defaut  6/9";
rom const char T28[NbCaracAffich + 1] 	= 	"Droite =        4/4 ";
rom const char T29[NbCaracAffich + 1] 	= 	"Gauche =        1/4 ";
rom const char T30[NbCaracAffich + 1] 	= 	"Droite =        2/4 ";

// PAGE 7
rom const char T32[NbCaracAffich + 1] 	= 	" REGLAGE HYSTERESIS ";
rom const char T33[NbCaracAffich + 1] 	= 	"      VITESSE       ";
rom const char T34[NbCaracAffich + 1] 	= 	"Arrie =         3/4 ";
rom const char T35[NbCaracAffich + 1] 	= 	"                 7/9";
rom const char T36[NbCaracAffich + 1] 	= 	"          Defaut 7/9";
rom const char T37[NbCaracAffich + 1] 	= 	"Avant =         4/4 ";
rom const char T38[NbCaracAffich + 1] 	= 	"Arrie =         1/4 ";
rom const char T39[NbCaracAffich + 1] 	= 	"Avant =         2/4 ";

// PAGE 8
rom const char T40[NbCaracAffich + 1] 	= 	"    ACCESSOIRES     ";
rom const char T41[NbCaracAffich + 1] 	= 	"                    ";
rom const char T42[NbCaracAffich + 1] 	= 	"Numero :    OFF     ";
rom const char T43[NbCaracAffich + 1] 	= 	"                 8/9";
rom const char T44[NbCaracAffich + 1] 	= 	"Numero :    ON      ";

// PAGE 9
rom const char T45[NbCaracAffich + 1] 	= 	"    TELEMETRIE      ";
rom const char T46[NbCaracAffich + 1] 	= 	"Vbat      :      V  ";
rom const char T47[NbCaracAffich + 1] 	= 	"Imot      :      A  ";
rom const char T48[NbCaracAffich + 1] 	= 	"                 9/9";
rom const char T49[NbCaracAffich + 1] 	= 	"Temp Mos1 :      V  ";
rom const char T50[NbCaracAffich + 1] 	= 	"Temp Mos2 :      V  ";
//**********************************************************************************











//**********************************************************************************
// Initialisation du timer 0
//**********************************************************************************
void RadioInitTimer0(void)
{
	T0CONbits.T08BIT 	= 0;				// Mode opration sur 16 bits
	
	T0CONbits.T0CS 		= 0;				// Horloge interne selectionne Fosc/4
	
	T0CONbits.T0PS2 	= 1;				// Prdivision par 256
	T0CONbits.T0PS1 	= 1;				// 
	T0CONbits.T0PS0 	= 1;				// 
	T0CONbits.PSA 		= 1;				// Validation de la predivision
	
	TMR0H				= 0x02;
	TMR0L				= 0x2A;				// Pour obtenir 15 ms

	T0CONbits.TMR0ON 	= 1;				// Mise ne route du Timer 0
	
	INTCONbits.TMR0IF 	= 0;				// Init du bit de depassement du Timer 0
	INTCON2bits.TMR0IP 	= 0;				// Interrupt non prioritaire
	INTCONbits.TMR0IE 	= 1;				// Interdiction de l'interruption du Timer 0
	
}
//**********************************************************************************



//**********************************************************************************
// Copie un texte de 20 caracteres present en memoire programme
// dans une variable en RAM
//**********************************************************************************
void RadioAfficheCopiText(static char rom *Dest)
{
	static unsigned char i;
	
	for(i = 0; i < NbCaracAffich; i++)
	{
		T[i] = *Dest++;
	}
	T[NbCaracAffich + 1] = 0x00;
}
//**********************************************************************************






//**********************************************************************************
// Affichage d'une ligne sur LCD
//**********************************************************************************
void RadioAfficheLigne(unsigned char NumeroLigne, static char rom *Ligne)
{
	RadioAfficheCopiText(Ligne);	

	if(NumeroLigne == 1) RadioLcdEcritTexte(0x00, T);		// affichage ligne 1
	
	if(NumeroLigne == 2) RadioLcdEcritTexte(0x40, T);		// affichage ligne 2
	
	if(NumeroLigne == 3) RadioLcdEcritTexte(0x14, T);		// affichage ligne 3
	
	if(NumeroLigne == 4) RadioLcdEcritTexte(0x54, T);		// affichage ligne 4
	
}
//**********************************************************************************



//**********************************************************************************
// Gestion de l'affichage dynamique
//**********************************************************************************
void RadioAfficheDynamique(void)
{
	switch (NumeroPage)
	{
		case 1:				// Affichage dynamique de la Vitesse et la Direction
		{
			RadioLcdAfficheDecimal(0x4B, VitesseVoiture);
			RadioLcdAfficheDecimal(0x1F, DirectionVoiture);
			break;
		}
		
		case 5:				// Affichage dynamique de la Tension de la batterie de la radiocommande
		{
			RadioLcdAfficheVolt(0x1B, TensionBatRadio);
			break;
		}
		
		case 6:				// Affichage dynamique de la position du Potentiometre Direction
		{
			if((SelectHystDirection == 2) || (SelectHystDirection == 3))
			{
				RadioLcdAfficheDecimal(0x1d, (1023 - DirectionVoiture));
			}
			break;
		}
		
		case 7:				// Affichage dynamique de la position du Potentiometre Vitesse
		{
			if((SelectHystVitesse == 2) || (SelectHystVitesse == 3))
			{
				RadioLcdAfficheDecimal(0x1d, (1023 - VitesseVoiture));
			}
			break;
		}
		
		case 8:				// Affichage dynamique de l'etat des accessoires
		{
			RadioLcdChangeAdrDdram(0x1d);
			if(NumAccessoires == 1)		RadioLcdEcritCarac('1');
			if(NumAccessoires == 2)		RadioLcdEcritCarac('2');
			if(NumAccessoires == 3)		RadioLcdEcritCarac('3');
			
			RadioLcdChangeAdrDdram(0x20);
			if(Accessoires[NumAccessoires] == 1)
			{
				RadioLcdEcritCarac('O');
				RadioLcdEcritCarac('N');
				RadioLcdEcritCarac(' ');
			}
			else
			{
				RadioLcdEcritCarac('O');
				RadioLcdEcritCarac('F');
				RadioLcdEcritCarac('F');
			}
			break;
		}
		
		case 9:				// Affichage Telemetrie
		{
			if(PageTelemetrie == 1)			// Affichage de Vbat et Imot
			{
				RadioLcdChangeAdrDdram(0x4C);		// Tension Bat voiture
				RadioLcdEcritCarac(TensionBat[1]);
				RadioLcdEcritCarac('.');
				RadioLcdEcritCarac(TensionBat[2]);
				RadioLcdEcritCarac(TensionBat[3]);
				
				RadioLcdChangeAdrDdram(0x20);		// Courant Max moteur Voiture
				RadioLcdEcritCarac(Imot[1]);
				RadioLcdEcritCarac(Imot[2]);
				RadioLcdEcritCarac(Imot[3]);
			}
			else							// Affichage de TempMos1 et TempMos2
			{
				RadioLcdChangeAdrDdram(0x4C);		// Temperature Mos 1
				RadioLcdEcritCarac(TempMos1[1]);
				RadioLcdEcritCarac('.');
				RadioLcdEcritCarac(TempMos1[2]);
				RadioLcdEcritCarac(TempMos1[3]);
				
				RadioLcdChangeAdrDdram(0x20);		// Temperature Mos 2
				RadioLcdEcritCarac(TempMos2[1]);
				RadioLcdEcritCarac('.');
				RadioLcdEcritCarac(TempMos2[2]);
				RadioLcdEcritCarac(TempMos2[3]);
			}
			break;
		}
		
		default:
		{
			break;
		}
	}
}
//**********************************************************************************





//**********************************************************************************
// Affichage de la Page 1
//**********************************************************************************
void RadioAffichePage1(void)
{
	static unsigned char i;
	
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage des 4 lignes de la page 1
	//**************************************************************************
	
	RadioAfficheLigne(1, &T1);
	RadioAfficheLigne(2, &T2);
	RadioAfficheLigne(3, &T3);
	RadioAfficheLigne(4, &T4);
	
	//**************************************************************************
	
	RadioLcdChangeAdrDdram(0x60);
	if(RapportBoite == 1)		RadioLcdEcritCarac('1');
	if(RapportBoite == 2)		RadioLcdEcritCarac('2');
}
//**********************************************************************************








//**********************************************************************************
// Affichage de la Page 2 : Inversion de la Direction
//**********************************************************************************
void RadioAffichePage2(void)
{
	static unsigned char i;
	
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage de la Page 2 : Inversion de la manette de direction
	//**************************************************************************
	RadioAfficheLigne(1, &T5);
	RadioAfficheLigne(2, &T6);
	if(InversionDirection == 0)
	{
		RadioAfficheLigne(3, &T7);
	}
	else
	{
		RadioAfficheLigne(3, &T9);
	}
	RadioAfficheLigne(4, &T8);
	//**************************************************************************
}
//**********************************************************************************






//**********************************************************************************
// Affichage de la Page 3 : Inversion de la manette de Vitesse
//**********************************************************************************
void RadioAffichePage3(void)
{
	static unsigned char i;
	
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage des 4 lignes de la page 3
	//**************************************************************************
	RadioAfficheLigne(1, &T10);
	RadioAfficheLigne(2, &T11);
	if(InversionVitesse == 0)
	{
		RadioAfficheLigne(3, &T12);
	}
	else
	{
		RadioAfficheLigne(3, &T14);
	}
	RadioAfficheLigne(4, &T13);
	//**************************************************************************
}
//**********************************************************************************






//**********************************************************************************
// Affichage de la Page 4 : Impusion PPM Positive ou Negative
//**********************************************************************************
void RadioAffichePage4(void)
{
	static unsigned char i;
	
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage des 4 lignes de la page 3
	//**************************************************************************
	RadioAfficheLigne(1, &T15);
	RadioAfficheLigne(2, &T16);
	if(ImpulPpmNegative == 1)
	{
		RadioAfficheLigne(3, &T17);
	}
	else
	{
		RadioAfficheLigne(3, &T19);
	}
	RadioAfficheLigne(4, &T18);
	//**************************************************************************
}
//**********************************************************************************







//**********************************************************************************
// Affichage de la Page 5 : Tension de la batterie de la radiocommande
//**********************************************************************************
void RadioAffichePage5(void)
{
	static unsigned char i;
	
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage des 4 lignes de la page 5
	//**************************************************************************
	RadioAfficheLigne(1, &T20);
	RadioAfficheLigne(2, &T21);
	RadioAfficheLigne(3, &T22);
	RadioAfficheLigne(4, &T23);
	//**************************************************************************
}
//**********************************************************************************






//**********************************************************************************
// Affichage de la Page 6 : Reglage Hysteresis Direction
//**********************************************************************************
void RadioAffichePage6(void)
{
	static unsigned char i;
	
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage des 4 lignes de la page 6
	//**************************************************************************
	RadioAfficheLigne(1, &T24);
	RadioAfficheLigne(2, &T25);
	switch (SelectHystDirection)
	{
		case 0:				// Hysteresis Direction Mini Gauche par Defaut
		{
			RadioAfficheLigne(3, &T29);
			RadioAfficheLigne(4, &T31);
			RadioLcdAfficheDecimal(0x1d, DirectionGaucheMin);
			break;	
		}
		
		case 1:				// Hysteresis Direction Mini Droite par Defaut
		{
			RadioAfficheLigne(3, &T30);
			RadioAfficheLigne(4, &T31);
			RadioLcdAfficheDecimal(0x1d, DirectionDroiteMin);
			break;	
		}
		
		case 2:				// Hysteresis Direction Mini Gauche
		{
			RadioAfficheLigne(3, &T26);
			RadioAfficheLigne(4, &T27);
			RadioLcdAfficheDecimal(0x5d, DirectionGaucheMini);
			break;	
		}
		
		case 3:				// Hysteresis Direction Maxi Droite
		{
			RadioAfficheLigne(3, &T28);
			RadioAfficheLigne(4, &T27);
			RadioLcdAfficheDecimal(0x5d, DirectionDroiteMini);
			break;	
		}
		
		default:			// Valeur par defaut
		{
			break;	
		}
	}
	//**************************************************************************
}
//**********************************************************************************






//**********************************************************************************
// Affichage de la Page 7 : Reglage Hysteresis Vitesse
//**********************************************************************************
void RadioAffichePage7(void)
{
	static unsigned char i;
	
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage des 4 lignes de la page 7
	//**************************************************************************
	RadioAfficheLigne(1, &T32);
	RadioAfficheLigne(2, &T33);
	switch (SelectHystVitesse)
	{
		case 0:				// Hysteresis Vitesse Arriere Mini par Defaut
		{
			RadioAfficheLigne(3, &T38);
			RadioAfficheLigne(4, &T36);
			RadioLcdAfficheDecimal(0x1d, VitesseArriereMin);
			break;	
		}
		
		case 1:				// Hysteresis Vitesse Avant Mini par Defaut
		{
			RadioAfficheLigne(3, &T39);
			RadioAfficheLigne(4, &T36);
			RadioLcdAfficheDecimal(0x1d, VitesseAvantMin);
			break;	
		}
		
		case 2:				// Hysteresis Vitesse Mini Arriere
		{
			RadioAfficheLigne(3, &T34);
			RadioAfficheLigne(4, &T35);
			RadioLcdAfficheDecimal(0x5d, VitesseArriereMini);
			break;	
		}
		
		case 3:				// Hysteresis Vitesse Mini Avant
		{
			RadioAfficheLigne(3, &T37);
			RadioAfficheLigne(4, &T35);
			RadioLcdAfficheDecimal(0x5d, VitesseAvantMini);
			break;	
		}
		
		default:			// Valeur par defaut
		{
			break;	
		}
	}
	//**************************************************************************
}
//**********************************************************************************








//**********************************************************************************
// Affichage de la Page 8 : Commande des Accessoires
//**********************************************************************************
void RadioAffichePage8(void)
{
	static unsigned char i;
	
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage des 4 lignes de la page 8
	//**************************************************************************
	RadioAfficheLigne(1, &T40);
	RadioAfficheLigne(2, &T41);
	
	RadioAfficheLigne(4, &T43);
	//**************************************************************************
		
	if(Accessoires[NumAccessoires] == 1)
	{
		RadioAfficheLigne(3, &T42);
	}
	else
	{
		RadioAfficheLigne(3, &T44);
	}	
}
//**********************************************************************************







//**********************************************************************************
// Affichage de la Page 9a : Telemetrie - Vbat voiture et Imot voiture
//**********************************************************************************
void RadioAffichePage9a(void)
{
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage des 4 lignes de la page 9
	//**************************************************************************
	RadioAfficheLigne(1, &T45);
	RadioAfficheLigne(2, &T46);
	RadioAfficheLigne(3, &T47);
	RadioAfficheLigne(4, &T48);
	//**************************************************************************
}
//**********************************************************************************







//**********************************************************************************
// Affichage de la Page 9b : Telemetrie - temperature MOS1 et MOS2 sur voiture
//**********************************************************************************
void RadioAffichePage9b(void)
{
	RadioLcdEfface();					// Efface l'ecran LCD
	
	//**************************************************************************
	// Affichage des 4 lignes de la page 9
	//**************************************************************************
	RadioAfficheLigne(1, &T45);
	RadioAfficheLigne(2, &T49);
	RadioAfficheLigne(3, &T50);
	RadioAfficheLigne(4, &T48);
	//**************************************************************************
	
	//RadioLcdChangeAdrDdram(0x51);
	//RadioLcdEcritCarac(0xDF);
	
	//RadioLcdChangeAdrDdram(0x25);
	//RadioLcdEcritCarac(0xDF);
}
//**********************************************************************************






