//*****************************************************************************************
// Declaration des Entetes et variables
//Contrat 2
//radio BP
//*****************************************************************************************
	#include	"../Radio/RadioMain.h"
//*****************************************************************************************






//**********************************************************************************
// Initilisation des Boutons Poussoirs
//**********************************************************************************
void RadioInitBp(void)
{
	INTCON2bits.RBPU 		= 1;			// Activation de la resistance de tirage
	
	SensBpMode 				= 1;			// Bit du Bouton poussoir configure en Entre
	SensBpvalider 			= 1;			// Bit du Bouton poussoir configure en Entre
	SensBpPlus 				= 1;			// Bit du Bouton poussoir configure en Entre
	SensBpMoins 			= 1;			// Bit du Bouton poussoir configure en Entre
}
//**********************************************************************************



//**********************************************************************************
// Test des Boutons Poussoirs appuys
//**********************************************************************************
void RadioTesteBp(void)
{
	if(BpMode == 0)
	{
		NumeroPage = NumeroPage + 1;
		RadioTesteBpMode();
		while(BpMode == 0);
	}

	if(BpPlus == 0)
	{
		RadioTesteBpPlus();
		while(BpPlus == 0);
	}

	if(BpMoins == 0)
	{
		RadioTesteBpMoins();
		while(BpMoins == 0);
	}

	if(BpValider == 0)
	{
		RadioTesteBpValider();
		while(BpValider == 0);
	}
}
//**********************************************************************************






//**********************************************************************************
// Teste le bouton Mode pour selectionner la page  afficher
//**********************************************************************************
void RadioTesteBpMode(void)
{
	switch (NumeroPage)
	{
		case 2:				// Page 2
		{
			RadioAffichePage2();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 3:				// Page 3
		{
			RadioAffichePage3();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 4:				// Page 4
		{
			RadioAffichePage4();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 5:				// Page 5
		{
			RadioAffichePage5();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 6:				// Page 6
		{
			RadioAffichePage6();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 7:				// Page 7
		{
			RadioAffichePage7();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 8:				// Page 8
		{
			RadioAffichePage8();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 9:				// Page 9
		{
			if(PageTelemetrie == 1)
			{
				RadioAffichePage9a();		// Voir fichier : RadioAfficheLcd.c
			}
			else
			{
				RadioAffichePage9b();		// Voir fichier : RadioAfficheLcd.c
			}
			break;
		}
		
		default :			// Page 1
		{
			RadioAffichePage1();			// Voir fichier : RadioAfficheLcd.c
			NumeroPage = 1;
			break;
		}
	}
}
//**********************************************************************************







//**********************************************************************************
// Teste le bouton Plus 
//**********************************************************************************
void RadioTesteBpPlus(void)
{
	static unsigned char 	NumAccess;
	
	switch (NumeroPage)
	{
		case 1:				// Page1 : Accueil et Changement du rapport de vitesse
		{
			RapportBoite = 2;
			SequencePpm[NumImpulsionRapport] = 2 * CsteRapportBoite - CsteDureeImpulsion;
			RadioLcdChangeAdrDdram(0x60);
			if(RapportBoite == 1)		RadioLcdEcritCarac('1');
			if(RapportBoite == 2)		RadioLcdEcritCarac('2');
			break;
		}
		
		case 2:				// Page2 : Inversion de la manette de Direction 
		{
			InversionDirection = 1;
			RadioAffichePage2();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 3:				// Page3 : Inversion de la manette de Vitesse 
		{
			InversionVitesse = 1;
			RadioAffichePage3();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 4:				// Page4 : Inversion des impulsion PPM 
		{
			ImpulPpmNegative = 0;		// Impulsion Positive
			RadioAffichePage4();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 6:				// Page6 : Reglage Hysteresis Direction 
		{
			SelectHystDirection++;		
			if(SelectHystDirection > 3)
			{
				SelectHystDirection = 0;
			}
			RadioAffichePage6();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 7:				// Page7 : Reglage Hysteresis Vitesse 
		{
			SelectHystVitesse++;		
			if(SelectHystVitesse > 3)
			{
				SelectHystVitesse = 0;
			}
			RadioAffichePage7();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 8:				// Page8 : Commande des accessoires
		{
			Accessoires[NumAccessoires] 	= 1;					// 2 valeurs possibles : 0 pour Off et 1 pour On
			NumAccess						= (NumAccessoires * 2) + 6;
			SequencePpm[NumAccess] 			= 2 * CsteDureeBase1ms - CsteDureeImpulsion;
			break;
		}
		
		case 9:				// Page9 : Telemetrie - Temp MOS1 et MOS2
		{
			PageTelemetrie	= 2;
			
			RadioAffichePage9b();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		default :
		{
			break;
		}
	}
}
//**********************************************************************************






//**********************************************************************************
// Teste le bouton Moins 
//**********************************************************************************
void RadioTesteBpMoins(void)
{
	static unsigned char 	NumAccess;
	
	switch (NumeroPage)
	{
		case 1:				// Page1 : Accueil et Changement du rapport de vitesse
		{
			RapportBoite = 1;
			SequencePpm[NumImpulsionRapport] = CsteRapportBoite - CsteDureeImpulsion;
			RadioLcdChangeAdrDdram(0x60);
			if(RapportBoite == 1)		RadioLcdEcritCarac('1');
			if(RapportBoite == 2)		RadioLcdEcritCarac('2');
			break;
		}
		
		case 2:				// Page2 : Inversion de la manette de Direction 
		{
			InversionDirection = 0;
			RadioAffichePage2();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 3:				// Page3 : Inversion de la manette de Vitesse 
		{
			InversionVitesse = 0;
			RadioAffichePage3();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 4:				// Page4 : Inversion des impulsion PPM 
		{
			ImpulPpmNegative = 1;	// Impulsion Negative
			RadioAffichePage4();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 6:				// Page6 : Reglage Hysteresis Direction 
		{
			SelectHystDirection--;
			if(SelectHystDirection > 3)
			{
				SelectHystDirection = 3;
			}
			RadioAffichePage6();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 7:				// Page7 : Reglage Hysteresis Vitesse 
		{
			SelectHystVitesse--;
			if(SelectHystVitesse > 3)
			{
				SelectHystVitesse = 3;
			}
			RadioAffichePage7();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		case 8:				// Page8 : Commande des accessoires
		{
			Accessoires[NumAccessoires] 	= 0;					// 2 valeurs possibles : 0 pour Off et 1 pour On
			NumAccess						= (NumAccessoires * 2) + 6;
			SequencePpm[NumAccess] 			= CsteDureeBase1ms - CsteDureeImpulsion;
			break;
		}
		
		case 9:				// Page9 : Telemetrie - Vbat et Imot sur voiture
		{
			PageTelemetrie	= 1;
			
			RadioAffichePage9a();			// Voir fichier : RadioAfficheLcd.c
			break;
		}
		
		default :
		{
			break;
		}
	}
}
//**********************************************************************************







//**********************************************************************************
// Teste le bouton Valider 
//**********************************************************************************
void RadioTesteBpValider(void)
{
	static unsigned int 	Tampon;
	static unsigned char 	Data;
	
	switch (NumeroPage)
	{
		case 6:				// Reglage hysteresis Direction 
		{
			switch (SelectHystDirection)
			{
				case 0:				// Enregistrement Hysteresis Direction Gauche
				{
					DirectionGaucheMini = DirectionGaucheMin;
					Tampon 				= DirectionGaucheMini & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x13, Data);		// poids Faible
					
					Tampon 				= DirectionGaucheMini >> 8;
					Tampon 				= Tampon & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x12, Data);		// Poid Fort
					break;
				}
				
				case 1:				// Enregistrement Hysteresis Direction Droite
				{
					DirectionDroiteMini = DirectionDroiteMin;
					Tampon 				= DirectionDroiteMini & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x0F, Data);		// poids Faible
					
					Tampon 				= DirectionDroiteMini >> 8;
					Tampon 				= Tampon & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x0E, Data);		// Poid Fort
					break;
				}
				
				case 2:				// Enregistrement Hysteresis Direction Gauche
				{
					DirectionGaucheMini = 1023 - DirectionVoiture;
					Tampon 				= DirectionGaucheMini & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x13, Data);		// poids Faible
					
					Tampon 				= DirectionGaucheMini >> 8;
					Tampon 				= Tampon & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x12, Data);		// Poid Fort
					break;
				}
				
				case 3:				// Enregistrement Hysteresis Direction Droite
				{
					DirectionDroiteMini = 1023 - DirectionVoiture;
					Tampon 				= DirectionDroiteMini & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x0F, Data);		// poids Faible
					
					Tampon 				= DirectionDroiteMini >> 8;
					Tampon 				= Tampon & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x0E, Data);		// Poid Fort
					break;
				}
				
				default:
				{
					break;
				}
			}
			break;
		}
		
		case 7:				// Reglage hysteresis Vitesse 
		{
			switch (SelectHystVitesse)
			{
				case 0:				// Enregistrement Hysteresis Vitesse Arriere
				{
					VitesseArriereMini 	= VitesseArriereMin;
					Tampon 				= VitesseArriereMini & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x0B, Data);		// poids Faible
					
					Tampon 				= VitesseArriereMini >> 8;
					Tampon 				= Tampon & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x0A, Data);		// Poid Fort
					break;
				}
				
				case 1:				// Enregistrement Hysteresis Vitesse Avant
				{
					VitesseAvantMini 	= VitesseAvantMin;
					Tampon 				= VitesseAvantMini & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x07, Data);		// poids Faible
					
					Tampon 				= VitesseAvantMini >> 8;
					Tampon 				= Tampon & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x06, Data);		// Poid Fort
					break;
				}
				
				case 2:				// Enregistrement Hysteresis Vitesse Arriere
				{
					VitesseArriereMini 	= 1023 - VitesseVoiture;
					Tampon 				= VitesseArriereMini & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x0B, Data);		// poids Faible
					
					Tampon 				= VitesseArriereMini >> 8;
					Tampon 				= Tampon & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x0A, Data);		// Poid Fort
					break;
				}
				
				case 3:				// Enregistrement Hysteresis Vitesse Avant
				{
					VitesseAvantMini 	= 1023 - VitesseVoiture;
					Tampon 				= VitesseAvantMini & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x07, Data);		// poids Faible
					
					Tampon 				= VitesseAvantMini >> 8;
					Tampon 				= Tampon & 0x00FF;
					Data				= Tampon;
					RadioEcritEeprom(0x06, Data);		// Poid Fort
					break;
				}
				
				default:
				{
					break;
				}
			}
			break;
		}
		
		case 8:				// Page8 : Permet de changer le numero d'accessoire
		{
			if(NumAccessoires >= 3)
			{
				NumAccessoires = 1;
			}
			else
			{	
				NumAccessoires++;
			}
			break;
		}
		
		default :
		{
			break;
		}
	}
}
//**********************************************************************************





