//************************************************************************************
// DEFINITION DE TOUS LES ENTETES
//Contrat 2
//radio en tte
//************************************************************************************

// Fichier : RadioAccessoires.c
	void RadioInitAccessoires(void);


// Fichier : RadioAdc.c
	void RadioInitAdc(void);
	void RadioSelectionVoieAdc(unsigned char Voie);
	unsigned int RadioConvAdc(unsigned char NumeroVoie);


// Fichier : RadioAfficheLcd.c
	void RadioInitTimer0(void);
	void RadioAfficheCopiText(static char rom *Dest);
	void RadioAfficheLigne(unsigned char NumeroLigne, static char rom *Ligne);
	void RadioAfficheDynamique(void);
	void RadioAffichePage1(void);
	void RadioAffichePage2(void);
	void RadioAffichePage3(void);
	void RadioAffichePage4(void);
	void RadioAffichePage5(void);
	void RadioAffichePage6(void);
	void RadioAffichePage7(void);
	void RadioAffichePage8(void);
	void RadioAffichePage9a(void);
	void RadioAffichePage9b(void);


// Fichier : RadioBat.c
	void RadioAcquisitionBatRadio(void);


// Fichier : RadioBp.c
	void RadioInitBp(void);
	void RadioTesteBp(void);
	void RadioTesteBpMode(void);
	void RadioTesteBpPlus(void);
	void RadioTesteBpMoins(void);
	void RadioTesteBpValider(void);


// Fichier : RadioDirection.c
	void RadioInitAcquisitionDirection(void);
	void RadioAcquisitionDirection(void);


// Fichier : RadioEeprom.c
	void RadioEcritEeprom(unsigned char AdrEeprom, unsigned char DataEeprom);
	unsigned char RadioLitEeprom(unsigned char AdrEeprom);


// Fichier : RadioGenerateurPpm.c
	void RadioInitVariablesPpm(void);
	void RadioInitSequencePpm(void);
	void RadioInitTimer1(void);
	void RadioInitComparaison(void);
	void RadioChangePpm(void);
	void RadioInitGenerateurPpm(void);
	void RadioChangeImpulPpmPositive(void);


// Fichier : RadioInterrupt.c
	void Int_niveau_fort(void);
	void Int_niv_faible(void);


// Fichier : RadioLcd.c
	void RadioLcdInit(void);
	void RadioLcdEcritDigit(unsigned char Data);
	void RadioLcdHome(void);
	void RadioLcdEcritOctet(unsigned char CtrlLCD, unsigned char DataLCD);
	void RadioLcdEfface(void);
	void RadioLcdEcritCarac(unsigned char Carac);
	void RadioLcdChangeAdrDdram(unsigned char Carac);
	void RadioLcdModeSet(unsigned char Carac);
	void RadioLcdDisplay(unsigned char Carac);
	unsigned char RadioLcdReadBf(void);
	void RadioLcdEcritCgram(unsigned char AdrCgram, unsigned char DataCgram);
	void RadioLcdEcritTexte(unsigned char AdrDepartLcd, char *TextLcd);
	void RadioLcdAfficheHexa(char AdrLCD, unsigned char Data);
	void RadioLcdAfficheHexaSigned(char AdrLCD, unsigned char Data);
	
	void RadioLcdConversionHexaDecimal(unsigned int HexaLCD);
	void RadioLcdAfficheDecimal(char AdrLCD, unsigned int Data);
	void RadioLcdAfficheVolt(char AdrLCD, unsigned int Data);
	
	void RadioLcdTempo1ms(unsigned char tmp);


// Fichier : RadioRapportBoite.c
	void RadioInitAcquisitionRapportBoite(void);


// Fichier : RadioRS232.c
	void RadioRS232InitTransmission(void);
	void RadioRS232InitReception(void);
	void RadioRS232InitBaud(void);
	void RadioRS232ConfigEmission(void);
	void RadioRS232ConfigReception(void);


// Fichier : RadioTelemetrie.c
	void RadioTelemetrieInit(void);
	void RadioTelemetrieDecode(void);


// Fichier : RadioVitesse.c
	void RadioInitAcquisitionVitesse(void);
	void RadioAcquisitionVitesse(void);

//************************************************************************************



