//**********************************************************************************************
// 	Date : 4 juillet 2007
// 	Prog : Radiocommande 
//Contrat 2

//**********************************************************************************************

#define DefVarMain





//*****************************************************************************************
// Declaration des Entetes et variables
//*****************************************************************************************
	#include	"../Radio/RadioMain.h"
//*****************************************************************************************



//*****************************************************************************************
// Mise  jour des bits de configuration 
//*****************************************************************************************
#pragma config OSC 		= HSPLL				// OSCS permet de selectionner l'horloge principale
#pragma config FCMEN 	= OFF
#pragma config IESO 	= OFF
#pragma config PWRT 	= ON
#pragma config BOREN	= OFF				// dtection d'une chute de tension Desactiv
#pragma config BORV 	= 3					// dtection d'une chute de tension en dessous de 2,7 V
#pragma config WDT 		= OFF				// pas de chien de garde
#pragma config WDTPS 	= 32768				// POSTCALLER
#pragma config MCLRE 	= ON				// RE3 Desactiv et MCLR Activ
#pragma config CCP2MX 	= PORTC				// Valide RC1 pour le PWM
#pragma config LVP 		= OFF
#pragma config DEBUG 	= ON				// Mode Debugger Activ : RB6 et RB7
#pragma config STVREN 	= OFF
#pragma config XINST 	= OFF				// Desactivation des Instructions Etendues
//*****************************************************************************************







//**********************************************************************************
// Programme Principal
//**********************************************************************************
void main(void)
{
	RadioInitBp();						// Initialisation des Boutons Poussoirs
	RadioInitGenerateurPpm();			// Initialisation du generateur de signal PPM
	RadioInitAdc();
	RadioInitAcquisitionVitesse();
	RadioInitAcquisitionDirection();
	RadioInitAcquisitionRapportBoite();
	RadioInitAccessoires();
	RadioTelemetrieInit();
	
	
	NumeroPage 			= 1;			// Repere le numero de page affich sur LCD
	RadioLcdInit();						// Initialisation afficheur LCD
	RadioTesteBpMode();					// Afffichage message ad'ccueil
	
	//RadioInitTimer0();
	
	CptReceptRs232 		= 0;
	NbRecuRs232 		= 0;
	
	// Autorisations des interruptions
	INTCONbits.GIE 		= 1;			// Autorisation interruptions globales
	INTCONbits.PEIE 	= 1;			// Autorisation interruptions des periphriques
	RCONbits.IPEN 		= 1;			// Valide les niveaux d'interruption
	
	while(1)
	{
		if(AutorisationConversion == 1)
		{
			RadioAfficheDynamique();
			AutorisationConversion = 0;
		}
		
		if(ReceptionComplete == 1)
		{
			RadioTelemetrieDecode();
			ReceptionComplete = 0;
		}
		

		RadioTesteBp();
	}
}
//**********************************************************************************
