//*****************************************************************************************
// Declaration des Entetes et variables
//*****************************************************************************************
	#include	"../h/Main.h"
//*****************************************************************************************


//**********************************************************************************
// Initialisation du module USART pour protocole RS232 en transmission
//**********************************************************************************
void RS232InitTransmission(void)
{
	RCSTAbits.SPEN 		= 1;			// ?????????
	
	TXSTAbits.TX9 		= 0;			// ?????????
	TXSTAbits.TXEN 		= 1;			// ?????????
	TXSTAbits.SYNC 		= 0;			// ?????????
	TXSTAbits.BRGH 		= 0;			// ?????????
	BAUDCONbits.BRG16	= 0;			// ?????????
	
	PIR1bits.TXIF 		= 0;			// Init du bit de registre de transmission plein
	IPR1bits.TXIP	 	= 0;			// Interrupt prioritaire
	PIE1bits.TXIE 		= 0;			// Validation interruption de la transmission
}
//**********************************************************************************


//**********************************************************************************
// Initialisation du module USART pour protocole RS232 en reception
//**********************************************************************************
void RS232InitReception(void)
{
	TXSTAbits.SYNC 		= 0;			// ?????????
	
	RCSTAbits.SPEN 		= 1;			// ?????????
	RCSTAbits.RX9 		= 0;			// ?????????
	TXSTAbits.BRGH 		= 0;			// ?????????
	RCSTAbits.CREN 		= 1;			// ?????????
	BAUDCONbits.BRG16	= 0;			// ?????????
	BAUDCONbits.ABDEN	= 0;			// ?????????
	
	PIR1bits.RCIF 		= 0;			// Init du bit de registre de recepetion plein
	IPR1bits.RCIP 		= 0;			// Interrupt prioritaire
	PIE1bits.RCIE 		= 0;			// Validation interruption de la reception
}
//**********************************************************************************


//**********************************************************************************
// Initialisation de la vitesse de transission du module USART pour protocole RS232
//**********************************************************************************
void RS232InitBaud(void)
{
	SPBRG = 4;					// ?????????
}
//**********************************************************************************



//**********************************************************************************
// Initialisation de la liaison RS232
//**********************************************************************************
void InitRS232(void)
{
	RS232InitBaud();
	RS232InitReception();
	RS232InitTransmission();
}
//**********************************************************************************
